Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 591674 - [Emulex 5.6 bug] Update lpfc driver to version 8.2.0.76.1p
[Emulex 5.6 bug] Update lpfc driver to version 8.2.0.76.1p
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: beta
: 5.6
Assigned To: Rob Evers
Barry Donahue
: OtherQA
Depends On: 571862
Blocks: 557597 600363
  Show dependency treegraph
 
Reported: 2010-05-12 15:51 EDT by Vaios Papadimitriou
Modified: 2011-01-13 16:31 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:31:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to update Emulex LPFC driver to 8.2.0.76.1p (applies on top of 8.2.0.73.1p) (39.97 KB, application/octet-stream)
2010-05-12 15:51 EDT, Vaios Papadimitriou
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2011:0017 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.6 kernel security and bug fix update 2011-01-13 05:37:42 EST

  None (edit)
Description Vaios Papadimitriou 2010-05-12 15:51:58 EDT
Created attachment 413543 [details]
Patch to update Emulex LPFC driver to 8.2.0.76.1p (applies on top of 8.2.0.73.1p)

Patch to update Emulex lpfc driver to 8.2.0.76.1p (applies on top of
8.2.0.73.1p, see Bug 571862).

This patch addresses bug fixes.

These are the changes included in this patch:
* Changed version number to 8.2.0.76.1p
* Fixed locking hang on copy user failure
* Add PCI-ID for Gb PCIe Shared I/O Fibre Channel Adapter
* Only send ADISCs to Targets (CR 101933)
* Add support for SLER errors
* Fixed SLI4 RPI leaks (CR 102369)
* Fix memory leak when iotag allocation fail (CR 102354)
* Remove unused Interrupt Notification Block Code
* Change default FCF max receive size (CR 102087)
* Fix lpfc_sli_issue_wait call to put iocb on txcmpq that should have been 
  removed
* Fixed Illegal State Transition (CR 10202)
* Additional check-in for high vport fix (CR 99636)
* Changed version number to 8.2.0.75.1p
* Check whether index is within bounds before testing vport
* Change positive error return into negative
* Fixed Illegal State Transition after devloss tmo (CR 102025)
* Fixed Illegal State Transition (CR 10202)
* Fixed heartbeat timeout failure (CR 10142)
* Changed version number to 8.2.0.74.1p
* Fix hang on SGI ia64 platform
* Reduce hba_queue_depth of SLI4 HBAs to account for XRIs reserved for ELS 
  commands
* Fixed hang on hba resets (CR 100032)


The corresponding upstream LPFC driver patchset was submitted upstream on
5/12/10:
...
From: linux-scsi-owner@vger.kernel.org
[mailto:linux-scsi-owner@vger.kernel.org] On Behalf Of Smart, James
Sent: Wednesday, May 12, 2010 9:30 AM
To: linux-scsi@vger.kernel.org
Subject: [PATCH 0/7] lpfc 8.3.13: Update lpfc to revision 8.3.13

This patch set updates the lpfc driver to revision 8.3.13

The patches for 8.3.13 contain:
- FC Discovery Fixes and enhancements.
- Initialization code clean up and fixes.
- SCSI specific changes
- Misc fixes.
- BSG management fixes.
- Add TX Queue Support for SLI4 ELS commands.
- Update Driver Version to 8.3.13

The bugfixes were cut against scsi-misc-2.6.

-- james s

  Signed-off-by: Alex Iannicelli <alex.iannicelli@emulex.com>
  Signed-off-by: James Smart <james.smart@emulex.com>
...
Comment 3 Jarod Wilson 2010-07-12 11:46:33 EDT
in kernel-2.6.18-206.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 5 Chris Ward 2010-11-09 08:32:18 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 6 Chris Ward 2010-12-02 10:26:51 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 8 errata-xmlrpc 2011-01-13 16:31:45 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.